获取订单详情
获取订单交易的详细信息,包括交易状态、支付信息、用户信息、商家统计等
HTTP请求
- GET
/api/v3/fiat/order/detail
接口权限要求: P2P 账户读
请求参数
| 参数名 | 类型 | 必填 | 描述 |
|---|---|---|---|
| advOrderNo | string | 是 | 订单交易唯一标识 |
返回参数
| 参数 | 类型 | 说明 |
|---|---|---|
| advNo | string | 交易单编号 |
| advOrderNo | string | 广告编号 |
| tradableQuantity | BigDecimal | 交易数量 |
| price | BigDecimal | 成交价格 |
| amount | BigDecimal | 交易金额(法币) |
| coinName | string | 币种名称 |
| state | string | 订单状态,见枚举 OrderDealState |
| payTimeLimit | long | 付款截止时间(毫秒时间戳) |
| allowComplainTime | long | 允许申诉时间(毫秒时间戳) |
| side | string | 交易方向:BUY / SELL |
| fiatUnit | string | 法币单位 |
| createTime | long | 创建时间(毫秒时间戳) |
| updateTime | long | 更新时间(毫秒时间戳) |
| paymentInfo | array | 广告绑定的支付方式列表 |
| paymentInfo[].id | integer | 支付方式 ID |
| paymentInfo[].payMethod | integer | 支付方式类型 |
| paymentInfo[].bankName | string | 银行名称 |
| paymentInfo[].account | string | 账号 |
| paymentInfo[].bankAddress | string | 银行地址 |
| paymentInfo[].payee | string | 收款人 |
| paymentInfo[].extend | string | 扩展信息(JSON 字符串) |
| confirmPaymentInfo | object | 买方确认付款时选择的支付方式(结构同 paymentInfo 元素) |
| userInfo | object | 对手方用户信息 |
| userInfo.account | string | 账号(脱敏) |
| userInfo.realName | string | 真实姓名 |
| userInfo.mobile | string | 手机号(脱敏) |
| userInfo.merchant | boolean | 是否为商家 |
| userInfo.countryCode | string | 国家代码 |
| userInfo.nickName | string | 昵称 |
| userInfo.kycLevel | string | KYC 等级:NONE / PRIMARY / ADVANCED |
| userInfo.imId | string | IM 用户 ID |
| userInfo.memberId | string | 会员 ID |
| userInfo.registryTime | long | 注册时间(毫秒时间戳) |
| userInfo.hasMobile | boolean | 是否绑定手机 |
| userInfo.hasEmail | boolean | 是否绑定邮箱 |
| userInfo.badge | string | 用户徽章 |
| userInfo.merchantType | string | 商家类型 |
| userFiatStatistics | object | 对手方交易统计 |
| userFiatStatistics.totalBuyCount | integer | 总买单数 |
| userFiatStatistics.totalSellCount | integer | 总卖单数 |
| userFiatStatistics.doneLastMonthCount | integer | 近 30 天完成订单数 |
| userFiatStatistics.avgBuyHandleTime | number | 平均买单处理时间(分钟) |
| userFiatStatistics.avgSellHandleTime | number | 平均卖单处理时间(分钟) |
| userFiatStatistics.lastMonthCompleteRate | string | 近 30 天完成率 |
| userFiatStatistics.completeRate | string | 总完成率 |
| complained | boolean | 是否已申诉 |
| blockUser | boolean | 是否已屏蔽该用户 |
| spotCount | integer | 现货交易次数 |
| unreadCount | integer | 未读消息数 |
响应
{
"msg": "success",
"code": 0,
"data": {
"advNo": "d1375000622702411776",
"advOrderNo": "a1370592216728096768",
"tradableQuantity": 0.9345,
"price": 107,
"amount": 100,
"coinName": "USDT",
"state": "PAID",
"paymentInfo": [
{
"id": 921,
"payMethod": 1,
"bankName": "123",
"account": "124",
"bankAddress": "133",
"payee": "123",
"extend": "{}"
}
],
"payTimeLimit": 1737880040000,
"allowComplainTime": 1737879163000,
"side": "BUY",
"fiatUnit": "RUB",
"createTime": 1737879140000,
"updateTime": 1737879143000,
"confirmPaymentInfo": {
"id": 921,
"payMethod": 1,
"bankName": "123",
"account": "124",
"bankAddress": "133",
"payee": "123",
"extend": "{}"
},
"userInfo": {
"account": "da***2@mexc.com",
"realName": "gg hgg",
"mobile": "+22*******51",
"merchant": true,
"countryCode": "GB",
"nickName": "Common-user-14146765509",
"kycLevel": "ADVANCED",
"imId": "14146765509",
"memberId": "b929d3c3085444e9afac52c0cd8ab977",
"registryTime": 1710142298000,
"hasMobile": true,
"hasEmail": true,
"badge": "0",
"merchantType": "normal"
},
"userFiatStatistics": {
"totalBuyCount": 27,
"totalSellCount": 3,
"doneLastMonthCount": 0,
"avgBuyHandleTime": 0.1,
"avgSellHandleTime": 2.06,
"lastMonthCompleteRate": "0",
"completeRate": "0.2500"
},
"complained": false,
"blockUser": false,
"spotCount": 0,
"unreadCount": 0
}
}